## org.apache.poi.ss.usermodel.charts
Enum AxisPosition

    java.lang.Object
      java.lang.Enum<AxisPosition>
          org.apache.poi.ss.usermodel.charts.AxisPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AxisPosition>

    public enum AxisPosition

extends java.lang.Enum<AxisPosition>

Enumeration of all possible axis positions.

Author:
  Roman Kashitsyn

Enum Constant Summary
`BOTTOM`
`LEFT`
`RIGHT`
`TOP`

Method Summary
`static AxisPosition` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AxisPosition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOTTOM

    public static final AxisPosition BOTTOM

### LEFT

    public static final AxisPosition LEFT

### RIGHT

    public static final AxisPosition RIGHT

### TOP

    public static final AxisPosition TOP

Method Detail

### values

    public static AxisPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AxisPosition c : AxisPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AxisPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.